textures/jungle_warfare/water
{
	qer_editorimage	textures/jungle_warfare/water
	q3map_tesssize	128
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadows
	sort	seeThrough
	deformvertexes	wave	100 sin 0 1 0 1
    {
        map textures/jungle_warfare/water
        blendFunc GL_ZERO GL_SRC_COLOR
        tcMod scroll 0.1 0.1
        tcMod turb 1 0.3 1 0.1
    }
}

textures/jungle_warfare/compbg
{
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	twosided
    {
        map textures/jungle_warfare/compbg
        blendFunc GL_ONE GL_ONE
        glow
    }
    {
        map textures/jungle_warfare/compspin
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin 0.4 0.6 0 0.3 
    }
    {
        map textures/jungle_warfare/compscroll
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 0.1
    }
}

textures/jungle_warfare/grate
{
	qer_editorimage	textures/jungle_warfare/grate
	q3map_material	HollowMetal
	cull	twosided
    {
        map textures/jungle_warfare/grate
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/jungle_warfare/glass
{
	qer_editorimage	textures/jungle_warfare/glass.jpg
	q3map_tesssize	48
	qer_trans	0.8
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
    {
        map textures/jungle_warfare/glass
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
        map textures/jungle_warfare/glass
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/jungle_warfare/holo_panel1
{
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/jungle_warfare/holo_panel1
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/jungle_warfare/holo_panel2
{
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/jungle_warfare/holo_panel2
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/jungle_warfare/holo_panel3
{
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/jungle_warfare/holo_panel3
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/jungle_warfare/holo_panel4
{
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/jungle_warfare/holo_panel4
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/jungle_warfare/alien5
{
	q3map_nolightmap
	cull	twosided
    {
        map textures/jungle_warfare/alien5
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
}

textures/jungle_warfare/alien_energy
{
	q3map_nolightmap
	cull	twosided
    {
        map textures/jungle_warfare/alien1
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map textures/jungle_warfare/green_effect
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave triangle 1 0.025 1 25
    }
}

textures/jungle_warfare/control_panel_on
{
	lightcolor	( 0.713726 0.713726 0.713726 )
	q3map_surfacelight	30
    {
        map $lightmap
    }
    {
        map textures/jungle_warfare/control_panel_on
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/jungle_warfare/control_panel_on_glow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/jungle_warfare/cobweb
{
	surfaceparm	nonsolid
	q3map_nolightmap
	cull	twosided
	deformvertexes	wave	50 sin 0 2.5 0 0.35
    {
        map textures/jungle_warfare/cobweb
        blendFunc GL_SRC_ALPHA GL_ONE
    }
}

textures/jungle_warfare/rock_mossy
{
	qer_editorimage	textures/jungle_warfare/rock_mossy
	q3map_material	ShortGrass
	q3map_nolightmap
	q3map_novertexshadows
	cull	twosided
    {
        map textures/jungle_warfare/rock_mossy
    }
    {
        map gfx/sprites/ss_hangvine
            surfaceSprites vertical 40 15 42 2048
            ssFademax 5000
            ssVariance 2 6
            ssHangDown
            ssWind 0.3
            ssWindidle 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map gfx/sprites/ss_hangvine2
            surfaceSprites vertical 36 12 49 2048
            ssFademax 5000
            ssVariance 1 6
            ssHangDown
            ssWind 0.3
            ssWindidle 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
}

textures/jungle_warfare/green_crystal
{
	lightcolor	( 0 0.85098 0.211765 )
	q3map_lightimage	textures/jungle_warfare/green_crystal
	qer_editorimage	textures/jungle_warfare/green_crystal
	q3map_surfacelight	400
	q3map_lightsubdivide	64
	q3map_tesssize	48
	qer_trans	0.5
	surfaceparm	slick
	surfaceparm	nonopaque
	surfaceparm	forcefield
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
	cull	twosided
    {
        map textures/jungle_warfare/green_crystal
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
    }
    {
        map textures/jungle_warfare/green_effect
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcGen environment
        tcMod scroll 0.12 0.1
    }
    {
        map textures/jungle_warfare/green_effect
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcGen environment
    }
    {
        map textures/jungle_warfare/green_crystal
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcGen environment
    }
}

// //////////////
// Step Sounds //
// //////////////

textures/jungle_warfare/air_duct
{
	q3map_material	HollowMetal
    {
        map $lightmap
    }
    {
        map textures/jungle_warfare/air_duct
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/ramp
{
	q3map_material	HollowMetal
    {
        map $lightmap
    }
    {
        map textures/jungle_warfare/ramp
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/wood
{
	q3map_material	HollowWood
    {
        map $lightmap
    }
    {
        map textures/jungle_warfare/wood
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/armory_floor
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/jungle_warfare/armory_floor
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/basemetal
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/jungle_warfare/basemetal
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

// /////////////
// Skies&Fogs //
// /////////////

textures/jungle_warfare/Sky
{
	q3map_lightimage	textures/colors/white
	lightcolor	( 0.968628 0.823529 0.607843 )
	qer_editorimage	textures/jungle_warfare/sky
	q3map_surfacelight	350
	q3map_lightsubdivide	512
	sun 0.75 0.79 1 350 310 75
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/jungle_warfare/jungle 512 -
}

textures/jungle_warfare/fog
{
	qer_editorimage	textures/jungle_warfare/fog.jpg
	qer_nocarve
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	fogparms	( 0.941177 0.823529 0.717647 ) 3000.0
	cull	twosided
}

// ///////////
// TERRAIN  //
// ///////////

textures/jungle_warfare/terrain_0
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 40 17 23 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_1
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	GreenLeaves
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/ground
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_2
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	GreenLeaves
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mud
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_3
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Mud
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mudslide
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_4
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_5
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock2
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_6
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Gravel
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock_dark
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_7
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	ShortGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock_mossy
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_8
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/dirt
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_9
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/floor
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_10
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map gfx/sprites/grass2
            surfaceSprites vertical 29 20 28 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 30 25 30 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
	cull	twosided
    {
        map textures/jungle_warfare/rock2
    }
    {
        map gfx/sprites/ss_hangvine
            surfaceSprites vertical 40 15 42 2048
            ssFademax 5000
            ssVariance 2 6
            ssHangDown
            ssWind 0.3
            ssWindidle 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map gfx/sprites/ss_hangvine2
            surfaceSprites vertical 36 12 49 2048
            ssFademax 5000
            ssVariance 1 6
            ssHangDown
            ssWind 0.3
            ssWindidle 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_0to1
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/ground
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 40 18 23 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_0to2
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	GreenLeaves
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/mud
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 30 17 23 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_0to3
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Mud
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/mudslide
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 30 17 23 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_0to4
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	ShortGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/rock
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 30 17 23 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_0to5
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	ShortGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 40 17 23 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_0to6
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Gravel
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/rock_dark
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_0to7
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	ShortGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/rock_mossy
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 40 17 23 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_0to8
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	ShortGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/dirt
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 40 17 23 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_0to9
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/floor
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 40 22 23 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_0to10
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/grass
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/grass2
            surfaceSprites vertical 37 25 26 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 34 27 22 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_0to11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	ShortGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 42 23 18 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_1to2
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	GreenLeaves
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/ground
    }
    {
        map textures/jungle_warfare/mud
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_1to3
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	GreenLeaves
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/ground
    }
    {
        map textures/jungle_warfare/mudslide
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_1to4
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/ground
    }
    {
        map textures/jungle_warfare/rock
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_1to5
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/ground
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_1to6
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Gravel
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/ground
    }
    {
        map textures/jungle_warfare/rock_dark
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_1to7
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	GreenLeaves
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/ground
    }
    {
        map textures/jungle_warfare/rock_mossy
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_1to8
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/ground
    }
    {
        map textures/jungle_warfare/dirt
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_1to9
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/ground
    }
    {
        map textures/jungle_warfare/floor
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_1to10
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/ground
    }
    {
        map textures/jungle_warfare/grass
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/grass2
            surfaceSprites vertical 35 21 24 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 38 25 28 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_1to11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/ground
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_2to3
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Mud
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mud
    }
    {
        map textures/jungle_warfare/mudslide
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_2to4
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mud
    }
    {
        map textures/jungle_warfare/rock
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_2to5
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mud
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_2to6
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Gravel
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mud
    }
    {
        map textures/jungle_warfare/rock_dark
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_2to7
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mud
    }
    {
        map textures/jungle_warfare/rock_mossy
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_2to8
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mud
    }
    {
        map textures/jungle_warfare/dirt
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_2to9
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mud
    }
    {
        map textures/jungle_warfare/floor
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_2to10
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mud
    }
    {
        map textures/jungle_warfare/grass
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/grass2
            surfaceSprites vertical 42 23 25 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 45 33 27 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_2to11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mud
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_3to4
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mudslide
    }
    {
        map textures/jungle_warfare/rock
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_3to5
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mudslide
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_3to6
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Gravel
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mudslide
    }
    {
        map textures/jungle_warfare/rock_dark
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_3to7
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mudslide
    }
    {
        map textures/jungle_warfare/rock_mossy
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_3to8
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mudslide
    }
    {
        map textures/jungle_warfare/dirt
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_3to9
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mudslide
    }
    {
        map textures/jungle_warfare/floor
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_3to10
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mudslide
    }
    {
        map textures/jungle_warfare/grass
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/grass2
            surfaceSprites vertical 44 26 24 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 40 28 28 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_3to11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/mudslide
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_4to5
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_4to6
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Gravel
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock
    }
    {
        map textures/jungle_warfare/rock_dark
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_4to7
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock
    }
    {
        map textures/jungle_warfare/rock_mossy
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_4to8
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock
    }
    {
        map textures/jungle_warfare/dirt
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_4to9
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock
    }
    {
        map textures/jungle_warfare/floor
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_4to10
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock
    }
    {
        map textures/jungle_warfare/grass
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 43 23 18 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_4to11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
	cull	twosided
    {
        map textures/jungle_warfare/rock
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/ss_hangvine
            surfaceSprites vertical 40 15 42 2048
            ssFademax 5000
            ssVariance 2 6
            ssHangDown
            ssWind 0.3
            ssWindidle 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map gfx/sprites/ss_hangvine2
            surfaceSprites vertical 36 12 49 2048
            ssFademax 5000
            ssVariance 1 6
            ssHangDown
            ssWind 0.3
            ssWindidle 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_5to6
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Gravel
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock2
    }
    {
        map textures/jungle_warfare/rock_dark
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_5to7
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock2
    }
    {
        map textures/jungle_warfare/rock_mossy
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_5to8
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock2
    }
    {
        map textures/jungle_warfare/dirt
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_5to9
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock2
    }
    {
        map textures/jungle_warfare/floor
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_5to10
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock2
    }
    {
        map textures/jungle_warfare/grass
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 44 21 23 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_5to11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock2
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_6to7
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock_dark
    }
    {
        map textures/jungle_warfare/rock_mossy
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_6to8
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Gravel
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock_dark
    }
    {
        map textures/jungle_warfare/dirt
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_6to9
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Gravel
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock_dark
    }
    {
        map textures/jungle_warfare/floor
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_6to10
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Gravel
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock_dark
    }
    {
        map textures/jungle_warfare/grass
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_6to11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Gravel
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock_dark
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_7to8
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock_mossy
    }
    {
        map textures/jungle_warfare/dirt
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_7to9
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock_mossy
    }
    {
        map textures/jungle_warfare/floor
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_7to10
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock_mossy
    }
    {
        map textures/jungle_warfare/grass
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/grass2
            surfaceSprites vertical 39 21 23 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 35 23 27 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_7to11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/rock_mossy
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_8to9
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Dirt
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/dirt
    }
    {
        map textures/jungle_warfare/floor
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_8to10
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/dirt
    }
    {
        map textures/jungle_warfare/grass
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 44 21 20 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_8to11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/dirt
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_9to10
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	LongGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/floor
    }
    {
        map textures/jungle_warfare/grass
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 46 21 20 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_9to11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	Rock
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/floor
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/jungle_warfare/terrain_10to11
{
	q3map_lightmapsamplesize	64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_material	ShortGrass
	q3map_tcGen	ivector ( 640 0 0 ) ( 0 640 0 )
    {
        map textures/jungle_warfare/grass
    }
    {
        map textures/jungle_warfare/rock2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 44 21 20 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/Jungle_Warfare/terrain.vertex
{
	{
		map textures/jungle_warfare/grass.jpg
		q3map_material	ShortGrass
		rgbGen vertex
	}
    {
        map gfx/sprites/y_grass_tall
            surfaceSprites vertical 42 20 20 3000
            ssFademax 4000
            ssFadescale 1
            ssVariance 1 2
            ssWind 0.1
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
}

